%define fw_version 5.41

Summary:	KDE Frameworks 5 bookmarks and the XBEL format support module
Name:		kbookmarks
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 bookmarks and the XBEL format support module.

KBookmarks lets you access and manipulate bookmarks stored using the
XBEL format.

#----------------------------------------------------------------------------

%package i18n
Summary:	KBookmarks translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KBookmarks translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5bookmarks_major 5
%define libkf5bookmarks %mklibname kf5bookmarks %{kf5bookmarks_major}

%package -n %{libkf5bookmarks}
Summary:	KDE Frameworks 5 bookmarks and the XBEL format support shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5bookmarks}
KDE Frameworks 5 bookmarks and the XBEL format support shared library.

%files -n %{libkf5bookmarks}
%{_kde5_libdir}/libKF5Bookmarks.so.%{kf5bookmarks_major}*

#----------------------------------------------------------------------------

%define devkf5bookmarks %mklibname kf5bookmarks -d

%package -n %{devkf5bookmarks}
Summary:	Development files for KDE Frameworks 5 bookmarks support module
Group:		Development/KDE and Qt
Requires:	%{libkf5bookmarks} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5bookmarks-devel = %{version}

%description -n %{devkf5bookmarks}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5bookmarks}
%{_kde5_includedir}/KF5/KBookmarks
%{_kde5_includedir}/KF5/kbookmarks_version.h
%{_kde5_libdir}/cmake/KF5Bookmarks
%{_kde5_libdir}/libKF5Bookmarks.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (4e6e7f6) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (2ff4f85) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (f7ed433) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (55e0a77) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (7f0b828) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (f4141fb) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (21732bb) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (8c52055) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (01e9401) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (898d13d) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (4b3767d) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (48d32b4) MassBuild#1020: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (56cf2bd) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (f9987e8) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (5a8a578) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (4cb9370) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (d4bed9b) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (ba62072) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (0a1f29c) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (03bc940) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (762b16f) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (d959393) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (7298b34) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (cfc4b26) Drop merged patch
- (Andrey Bondrov: 6f304d2) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (454109c) New version 5.11.0

* Sun May 31 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-2
- (16686e1) Encode bookmarks URL to fix issues with KDE4 applications not being able to open bookmarks

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (eff12e7) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (4c95071) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (84cbd9e) New version 5.8.0


